Bug 388409 - KMail crashed after closing after it hung at Retrieving Folder Contents
Summary: KMail crashed after closing after it hung at Retrieving Folder Contents
Status: RESOLVED DUPLICATE of bug 387177
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.7.0
Platform: Gentoo Packages Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2017-12-31 21:27 UTC by Dennis Schridde
Modified: 2018-07-04 13:39 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (36.25 KB, text/plain)
2018-01-27 12:02 UTC, Dennis Schridde
Details
New crash information added by DrKonqi (26.76 KB, text/plain)
2018-05-05 13:46 UTC, M. Raymond Vaughn
Details
New crash information added by DrKonqi (63.35 KB, text/plain)
2018-07-04 13:04 UTC, Manuel Stahl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2017-12-31 21:27:40 UTC
Application: kmail (5.7.0)

Qt Version: 5.9.3
Frameworks Version: 5.41.0
Operating System: Linux 4.14.10-gentoo x86_64
Distribution: "Gentoo Base System release 2.4.1"

-- Information about the crash:
- What I was doing when the application crashed and Unusual behavior I noticed:

I switched folders and tried to view emails inside those folders. KMail was unresponsive and hung at Retrieving Folder Contents for all emails I tried to view. After a few tries, I closed KMail. When it was already closed, I received the DrKonqi message, that it had crashed.

I just tried again to view emails in various folders, clicking randomly on messages. Again the Retrieving Folder Contents "please wait" content was presented to me. This time I waited several minutes, and finally the message contents were displayed to me. Thus I assume that this "hang" or unresponsiveness is not actually a bug, but simply related to high load and slow disks. (I am compiling software, just recently migrated my LVM volumes to a new cache device, hence am hitting slow / uncached blocks at every read operating, loading emails in Akonadi/KMail and apparently Baloo is also active).

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f32e055dac0 (LWP 30975))]

Thread 39 (Thread 0x7f31f069f700 (LWP 31649)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd69005 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd694e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd6a281 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#6  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 38 (Thread 0x7f3169cdf700 (LWP 31241)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd69005 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd694e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd6a281 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#6  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 37 (Thread 0x7f31eb017700 (LWP 31240)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cb9bc6e4 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f32cb9bc729 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#4  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 36 (Thread 0x7f31ec967700 (LWP 31224)):
#0  0x00007f32e3f45215 in poll () from /lib64/libc.so.6
#1  0x00007f32d83c18e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f3230001ef0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f31ec966ae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa13fe6330) at thread/qthread_unix.cpp:368
#7  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#8  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 35 (Thread 0x7f31f19c4700 (LWP 31160)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32e46c4b03 in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x7f32180ce070) at thread/qwaitcondition_unix.cpp:143
#2  QWaitCondition::wait (this=this@entry=0x7f32180c9fe8, mutex=mutex@entry=0x7f32180c9fe0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:215
#3  0x00007f32e46beb3b in QSemaphore::acquire (this=this@entry=0x7f32db4bee40 <(anonymous namespace)::Q_QGS_libProxyWrapper::innerFunction()::holder+32>, n=n@entry=1) at thread/qsemaphore.cpp:143
#4  0x00007f32db41470c in QLibProxyWrapper::run (this=0x7f32db4bee20 <(anonymous namespace)::Q_QGS_libProxyWrapper::innerFunction()::holder>) at kernel/qnetworkproxy_libproxy.cpp:179
#5  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x7f32db4bee20 <(anonymous namespace)::Q_QGS_libProxyWrapper::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#6  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#7  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 34 (Thread 0x7f31f21c5700 (LWP 31159)):
#0  0x00007f32e3f40bca in read () from /lib64/libc.so.6
#1  0x00007f32d84039d8 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c13cb in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32d83c1888 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f3224002090, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f31f21c4ae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa11202250) at thread/qthread_unix.cpp:368
#9  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#10 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 33 (Thread 0x7f31f29c6700 (LWP 31158)):
#0  0x00007f32d8404c01 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f32d83c1476 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c1960 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f32180bdf20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f31f29c5ae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#7  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa1121db10) at thread/qthread_unix.cpp:368
#8  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#9  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 32 (Thread 0x7f31f31c7700 (LWP 31157)):
#0  0x00007f32e3f451b5 in poll () from /lib64/libc.so.6
#1  0x00007f32d83c18e1 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f3214002040, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f31f31c6ae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa111b4260) at thread/qthread_unix.cpp:368
#7  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#8  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 31 (Thread 0x7f31f54b6700 (LWP 31106)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa1116c760, cond=0x55fa1116c788) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa111201f0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 30 (Thread 0x7f321dffb700 (LWP 31077)):
#0  0x00007f32e3f40bca in read () from /lib64/libc.so.6
#1  0x00007f32bf39ffd1 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#2  0x00007f32c624cd2e in pa_mainloop_prepare () from /usr/lib64/libpulse.so.0
#3  0x00007f32c624d778 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f32c624d830 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f32c625b2a9 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f32bf3ce1b7 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#7  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#8  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7f321e7fc700 (LWP 31076)):
#0  0x00007f32da4ae9dc in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007f32cfd978f2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd5e9fe in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd399fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f32cfd6a846 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#9  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7f321effd700 (LWP 31075)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32d04f4490 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd6a281 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7f321f7fe700 (LWP 31074)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd69005 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd694e7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd6a281 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#6  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7f321ffff700 (LWP 31073)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd5ea79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd5eaa7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd399ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f32cfd6a846 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#9  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7f323cff9700 (LWP 31072)):
#0  0x00007f32e3f5f5cb in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f32e3f6158c in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f32c48c0708 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f32c48c08ec in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f32c48c1f84 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f32c48b806d in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f32cfd39fa9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f32cf5f0048 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f32cf5f05fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f32cfd6a8f8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#14 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f323d7fa700 (LWP 31071)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd5ea79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd5eaa7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd399ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f32cf5eff98 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cf5f05eb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32cfd6a8f8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#11 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f323dffb700 (LWP 31070)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd5ea79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd5eaa7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd399ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f32cf5efee8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cf5f05db in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32cfd6a8f8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#11 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f323e7fc700 (LWP 31069)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd5ea79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd5eaa7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd399ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f32cf5efe38 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cf5f05cb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32cfd6a8f8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#11 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f323effd700 (LWP 31068)):
#0  0x00007f32e3f5f5cb in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f32e3f6158c in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f32c48c0708 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f32c48c08ec in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f32c48c1f84 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f32c48b806d in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f32cfd39fa9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f32cf5efd88 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f32cf5f05bb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f32cfd6a8f8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#14 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f323f7fe700 (LWP 31067)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd5ea79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd5eaa7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd399ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f32cf5efcd8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cf5f05ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32cfd6a8f8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#11 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f323ffff700 (LWP 31066)):
#0  0x00007f32da4ae9dc in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007f32cfd978f2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd6db09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd6e06b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#6  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f3254987700 (LWP 31065)):
#0  0x00007f32da4ae9dc in pthread_cond_timedwait () from /lib64/libpthread.so.0
#1  0x00007f32cfd978f2 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd6db09 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd6e06b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#6  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f3255397700 (LWP 31064)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32cfd5ea79 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f32cfd5eaa7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f32cfd399ab in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f32cfd6a846 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#9  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f3255c15700 (LWP 31063)):
#0  0x00007f32e3f40c9d in write () from /lib64/libc.so.6
#1  0x00007f32e3ecdafd in _IO_file_write () from /lib64/libc.so.6
#2  0x00007f32e3eccd0b in new_do_write () from /lib64/libc.so.6
#3  0x00007f32e3ece39e in _IO_file_xsputn () from /lib64/libc.so.6
#4  0x00007f32e3ea217b in buffered_vfprintf () from /lib64/libc.so.6
#5  0x00007f32e3e9f4ae in vfprintf () from /lib64/libc.so.6
#6  0x00007f32e3f615e4 in __fprintf_chk () from /lib64/libc.so.6
#7  0x00007f32c48c0708 in ?? () from /usr/lib64/libevent-2.1.so.6
#8  0x00007f32c48c08ec in event_warn () from /usr/lib64/libevent-2.1.so.6
#9  0x00007f32c48c1f84 in ?? () from /usr/lib64/libevent-2.1.so.6
#10 0x00007f32c48b806d in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#11 0x00007f32cfd39ffd in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f32cfd36278 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f32cfd52cbb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f32cfd6a846 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f32cfd6694b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#17 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f325d06f700 (LWP 31015)):
#0  0x00007f32d8404c01 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f32d83c12fb in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c1888 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f3258000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f325d06eae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#7  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa10d0d000) at thread/qthread_unix.cpp:368
#8  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#9  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f32755e5700 (LWP 31007)):
#0  0x00007f32e6642307 in _dl_update_slotinfo () from /lib64/ld-linux-x86-64.so.2
#1  0x00007f32e664251c in update_get_addr () from /lib64/ld-linux-x86-64.so.2
#2  0x00007f32e6646fc8 in __tls_get_addr () from /lib64/ld-linux-x86-64.so.2
#3  0x00007f32e46c3326 in get_thread_data () at thread/qthread_unix.cpp:189
#4  QThreadData::current (createIfNecessary=createIfNecessary@entry=true) at thread/qthread_unix.cpp:244
#5  0x00007f32e48b1c6a in postEventSourcePrepare (s=0x7f3264004b90, timeout=0x7f32755e4914) at kernel/qeventdispatcher_glib.cpp:252
#6  0x00007f32d83c0e47 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#7  0x00007f32d83c1813 in ?? () from /usr/lib64/libglib-2.0.so.0
#8  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f3264000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#10 0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f32755e4ae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#11 0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#12 0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa1095a7a0) at thread/qthread_unix.cpp:368
#13 0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#14 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f3275de6700 (LWP 31006)):
#0  0x00007f32d8404c1c in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f32d83c0e37 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c1813 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f3260000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f3275de5ae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#7  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa109858a0) at thread/qthread_unix.cpp:368
#8  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#9  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f32765e7700 (LWP 31003)):
#0  0x00007f32d83c1471 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f32d83c1960 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f326c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f32765e6ae0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f32e46c005a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa1099e2b0) at thread/qthread_unix.cpp:368
#7  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#8  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f32777fe700 (LWP 31002)):
#0  0x00007f32d83965e8 in g_ptr_array_set_size () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f32d83c0d34 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f32d83c1813 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f32e48b1d7b in QEventDispatcherGlib::processEvents (this=0x7f3268000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7f32777fdab0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f32e46c005a in QThread::exec (this=this@entry=0x7f32e67d0da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:515
#7  0x00007f32e675d585 in QDBusConnectionManager::run (this=0x7f32e67d0da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x7f32e67d0da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#9  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#10 0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f3277fff700 (LWP 31001)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa1088b230, cond=0x55fa1088b258) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa1083a0b0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f3294dca700 (LWP 31000)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa107b8ac8, cond=0x55fa107b8af0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa107b9fd0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f32955cb700 (LWP 30999)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa107b8ac8, cond=0x55fa107b8af0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa107b9f90) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f3295dcc700 (LWP 30998)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa107b89e0, cond=0x55fa107b8a08) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa107b9f30) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f32965cd700 (LWP 30997)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa107b89e0, cond=0x55fa107b8a08) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa107b9ef0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f3296dce700 (LWP 30996)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa107b89e0, cond=0x55fa107b8a08) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa107b41f0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f32975cf700 (LWP 30995)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa107384e0, cond=0x55fa10738508) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa107b98d0) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f329812f700 (LWP 30994)):
#0  0x00007f32da4ae6a5 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f32a3106a0b in cnd_wait (mtx=0x55fa107b3ea0, cond=0x55fa107b3ec8) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x55fa107b4290) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/src/util/u_queue.c:171
#3  0x00007f32a3106937 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.3.1/work/mesa-17.3.1/include/c11/threads_posix.h:87
#4  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#5  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f32a88ef700 (LWP 30993)):
#0  0x00007f32e3f45215 in poll () from /lib64/libc.so.6
#1  0x00007f32d7a7c7af in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f32d7a7e4fa in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f32a9dd2fd1 in QXcbEventReader::run (this=0x55fa106f44e0) at qxcbconnection.cpp:1330
#4  0x00007f32e46c43c8 in QThreadPrivate::start (arg=0x55fa106f44e0) at thread/qthread_unix.cpp:368
#5  0x00007f32da4a78ba in start_thread () from /lib64/libpthread.so.0
#6  0x00007f32e3f509cf in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f32e055dac0 (LWP 30975)):
[KCrash Handler]
#6  0x00007f32e521ba98 in QMainWindowLayout::statusBar (this=<optimized out>) at widgets/qmainwindowlayout.cpp:2332
#7  0x00007f32e52177b8 in QMainWindow::statusBar (this=0x55fa10a736d0) at widgets/qmainwindow.cpp:623
#8  0x00007f32e600e0d9 in KMMainWin::displayStatusMessage (this=0x55fa10a736d0, aText=...) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwin.cpp:106
#9  0x00007f32e4889dd6 in QtPrivate::QSlotObjectBase::call (a=0x7ffeb9508370, r=0x55fa10a736d0, this=0x55fa11051390) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#10 QMetaObject::activate (sender=0x55fa10f59700, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3749
#11 0x00007f32db531b62 in KPIM::BroadcastStatus::statusMsg(QString const&) () from /usr/lib64/libKF5Libkdepim.so.5
#12 0x00007f32e6041d94 in KMMainWidget::showMessageActivities (this=<optimized out>, str=...) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwidget.cpp:4697
#13 0x00007f32e60459f1 in KMMainWidget::itemsFetchDone (this=0x55fa109713d0, job=0x55fa140735e0) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwidget.cpp:4478
#14 0x00007f32e4889dd6 in QtPrivate::QSlotObjectBase::call (a=0x7ffeb9508520, r=0x55fa109713d0, this=0x55fa1407bef0) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#15 QMetaObject::activate (sender=0x55fa140735e0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3749
#16 0x00007f32e55fb95c in KJob::result(KJob*, KJob::QPrivateSignal) () from /usr/lib64/libKF5CoreAddons.so.5
#17 0x00007f32e55fc451 in KJob::finishJob(bool) () from /usr/lib64/libKF5CoreAddons.so.5
#18 0x00007f32e55fc4aa in KJob::kill(KJob::KillVerbosity) () from /usr/lib64/libKF5CoreAddons.so.5
#19 0x00007f32de365871 in Akonadi::Session::clear (this=this@entry=0x55fa10d0cf40) at /var/tmp/portage/kde-apps/akonadi-17.12.0/work/akonadi-17.12.0/src/core/session.cpp:409
#20 0x00007f32de36591f in Akonadi::Session::~Session (this=0x55fa10d0cf40, __in_chrg=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-17.12.0/work/akonadi-17.12.0/src/core/session.cpp:363
#21 0x00007f32de365949 in Akonadi::Session::~Session (this=0x55fa10d0cf40, __in_chrg=<optimized out>) at /var/tmp/portage/kde-apps/akonadi-17.12.0/work/akonadi-17.12.0/src/core/session.cpp:365
#22 0x00007f32e48904d8 in QObjectPrivate::deleteChildren (this=this@entry=0x55fa10c43410) at kernel/qobject.cpp:1992
#23 0x00007f32e48913d8 in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1022
#24 0x00007f32e1184b89 in ?? () from /usr/lib64/libKF5MessageViewer.so.5
#25 0x00007f32e48904d8 in QObjectPrivate::deleteChildren (this=this@entry=0x55fa10d157c0) at kernel/qobject.cpp:1992
#26 0x00007f32e5103f0c in QWidget::~QWidget (this=0x55fa10cbcb30, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#27 0x00007f32e11762d9 in MessageViewer::Viewer::~Viewer() () from /usr/lib64/libKF5MessageViewer.so.5
#28 0x00007f32e48904d8 in QObjectPrivate::deleteChildren (this=this@entry=0x55fa10c798d0) at kernel/qobject.cpp:1992
#29 0x00007f32e5103f0c in QWidget::~QWidget (this=0x55fa10c71ce0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#30 0x00007f32e6012ab9 in KMReaderWin::~KMReaderWin (this=0x55fa10c71ce0, __in_chrg=<optimized out>) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmreaderwin.cpp:228
#31 0x00007f32e48904d8 in QObjectPrivate::deleteChildren (this=this@entry=0x55fa10f4c6b0) at kernel/qobject.cpp:1992
#32 0x00007f32e5103f0c in QWidget::~QWidget (this=0x55fa10abc1a0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#33 0x00007f32e526dc59 in QSplitter::~QSplitter (this=0x55fa10abc1a0, __in_chrg=<optimized out>) at widgets/qsplitter.cpp:984
#34 0x00007f32e48904d8 in QObjectPrivate::deleteChildren (this=this@entry=0x55fa10e08910) at kernel/qobject.cpp:1992
#35 0x00007f32e5103f0c in QWidget::~QWidget (this=0x55fa10b619f0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#36 0x00007f32e526dc59 in QSplitter::~QSplitter (this=0x55fa10b619f0, __in_chrg=<optimized out>) at widgets/qsplitter.cpp:984
#37 0x00007f32e60445d3 in KMMainWidget::deleteWidgets (this=this@entry=0x55fa109713d0) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwidget.cpp:973
#38 0x00007f32e605e831 in KMMainWidget::destruct (this=0x55fa109713d0) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwidget.cpp:378
#39 0x00007f32e605ea0f in KMMainWidget::~KMMainWidget (this=0x55fa109713d0, __in_chrg=<optimized out>) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwidget.cpp:362
#40 0x00007f32e605ebe1 in KMMainWidget::~KMMainWidget (this=0x55fa109713d0, __in_chrg=<optimized out>) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwidget.cpp:363
#41 0x00007f32e48904d8 in QObjectPrivate::deleteChildren (this=this@entry=0x55fa10a73ed0) at kernel/qobject.cpp:1992
#42 0x00007f32e5103f0c in QWidget::~QWidget (this=0x55fa10a736d0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#43 0x00007f32e395ac1d in KMainWindow::~KMainWindow() () from /usr/lib64/libKF5XmlGui.so.5
#44 0x00007f32e600f9ea in KMMainWin::~KMMainWin (this=this@entry=0x55fa10a736d0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwin.cpp:92
#45 0x00007f32e600fa51 in KMMainWin::~KMMainWin (this=0x55fa10a736d0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/kmmainwin.cpp:97
#46 0x00007f32e488a9e8 in QObject::event (this=this@entry=0x55fa10a736d0, e=e@entry=0x55fa11489360) at kernel/qobject.cpp:1237
#47 0x00007f32e51088db in QWidget::event (this=this@entry=0x55fa10a736d0, event=event@entry=0x55fa11489360) at kernel/qwidget.cpp:9266
#48 0x00007f32e5218edb in QMainWindow::event (this=0x55fa10a736d0, event=0x55fa11489360) at widgets/qmainwindow.cpp:1563
#49 0x00007f32e395d007 in KMainWindow::event(QEvent*) () from /usr/lib64/libKF5XmlGui.so.5
#50 0x00007f32e39a16c5 in KXmlGuiWindow::event(QEvent*) () from /usr/lib64/libKF5XmlGui.so.5
#51 0x00007f32e50ca87c in QApplicationPrivate::notify_helper (this=this@entry=0x55fa106d50b0, receiver=receiver@entry=0x55fa10a736d0, e=e@entry=0x55fa11489360) at kernel/qapplication.cpp:3722
#52 0x00007f32e50d1efe in QApplication::notify (this=0x7ffeb9509760, receiver=0x55fa10a736d0, e=0x55fa11489360) at kernel/qapplication.cpp:3481
#53 0x00007f32e4861b86 in QCoreApplication::notifyInternal2 (receiver=0x55fa10a736d0, event=event@entry=0x55fa11489360) at kernel/qcoreapplication.cpp:1018
#54 0x00007f32e48641b0 in QCoreApplication::sendEvent (event=0x55fa11489360, receiver=<optimized out>) at kernel/qcoreapplication.h:233
#55 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x55fa1069bc30) at kernel/qcoreapplication.cpp:1678
#56 0x00007f32e48646d0 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1532
#57 0x00007f32e48b1f43 in postEventSourceDispatch (s=0x55fa10724280) at kernel/qeventdispatcher_glib.cpp:276
#58 0x00007f32d83c172e in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#59 0x00007f32d83c1960 in ?? () from /usr/lib64/libglib-2.0.so.0
#60 0x00007f32d83c19ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#61 0x00007f32e48b1d5f in QEventDispatcherGlib::processEvents (this=0x55fa10736d10, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#62 0x00007f32e4860992 in QEventLoop::exec (this=this@entry=0x7ffeb95092a0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#63 0x00007f32e4868d5c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#64 0x000055fa0fecb7cd in main (argc=<optimized out>, argv=<optimized out>) at /var/tmp/portage/kde-apps/kmail-17.12.0/work/kmail-17.12.0/src/main.cpp:156

The reporter indicates this bug may be a duplicate of or related to bug 387177.

Possible duplicates by query: bug 387177.

Reported using DrKonqi
Comment 1 Dennis Schridde 2017-12-31 21:44:43 UTC
Since KMail seems to hang more or less indefinitely (as long as Baloo is pressuring the disks), closing KMail seems to ease the reproduction of this crash - even if KMail is "Retrieving Folder Contents" for several dozens of minutes, it will crash shortly after I close it.
Comment 2 Dennis Schridde 2018-01-27 12:02:07 UTC
Created attachment 110149 [details]
New crash information added by DrKonqi

kmail (5.7.1) using Qt 5.9.3

- What I was doing when the application crashed:

This happens now everytime I close KMail, even if the program does not obviously hang. (Maybe it hangs, but this is no longer as easy to spot as before?)

-- Backtrace (Reduced):
#6  0x00007fd03f513a9b in QMainWindowLayout::statusBar (this=<optimized out>) at widgets/qmainwindowlayout.cpp:2332
#7  0x00007fd03f50f7b8 in QMainWindow::statusBar (this=0x56197c751900) at widgets/qmainwindow.cpp:623
#8  0x00007fd0403060d9 in KMMainWin::displayStatusMessage (this=0x56197c751900, aText=...) at /var/tmp/portage/kde-apps/kmail-17.12.1-r1/work/kmail-17.12.1/src/kmmainwin.cpp:106
#9  0x00007fd03eb81dd6 in QtPrivate::QSlotObjectBase::call (a=0x7ffd5d4184f0, r=0x56197c751900, this=0x56197cd39410) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
[...]
#11 0x00007fd035821b62 in KPIM::BroadcastStatus::statusMsg(QString const&) () from /usr/lib64/libKF5Libkdepim.so.5
Comment 3 M. Raymond Vaughn 2018-05-05 13:46:08 UTC
Created attachment 112424 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.4

- What I was doing when the application crashed: attempted to close KMail while it was hanging on "Retrieving Folder Contents" and unable to display the contents of any individual message.

-- Backtrace (Reduced):
#8  0x00007f55a0ed6e69 in QMainWindow::statusBar() const () from /usr/lib64/libQt5Widgets.so.5
#9  0x00007f55a1eb0fb1 in KMMainWin::displayStatusMessage(QString const&) () from /usr/lib64/libkmailprivate.so.5
[...]
#11 0x00007f5596a54c52 in KPIM::BroadcastStatus::statusMsg(QString const&) () from /usr/lib64/libKF5Libkdepim.so.5
#12 0x00007f55a1ee5ee4 in KMMainWidget::showMessageActivities(QString const&) () from /usr/lib64/libkmailprivate.so.5
#13 0x00007f55a1ee8ff3 in KMMainWidget::itemsFetchDone(KJob*) () from /usr/lib64/libkmailprivate.so.5
Comment 4 M. Raymond Vaughn 2018-05-06 01:39:46 UTC
The problem appears to have more to do with akonadi, kmail's backend, than kmail itself. If akonadi tries to synchronize a very large remote IMAP folder, it can become unresponsive; when this happens, kmail will wait indefinitely for a response from it. Killing akonadi and restarting it appears to temporarily resolve the issue.
Comment 5 Manuel Stahl 2018-07-04 13:04:10 UTC
Created attachment 113760 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

- What I was doing when the application crashed:

Closed KMail while retreiving folder information hung.

-- Backtrace (Reduced):
#8  0x00007f3bed3324e8 in QMainWindow::statusBar() const () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#9  0x00007f3bee3144b9 in KMMainWin::displayStatusMessage(QString const&) () from /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
[...]
#11 0x00007f3be2d5af32 in KPIM::BroadcastStatus::statusMsg(QString const&) () from /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
#12 0x00007f3bee3479d4 in KMMainWidget::showMessageActivities(QString const&) () from /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
#13 0x00007f3bee34b5f1 in KMMainWidget::itemsFetchDone(KJob*) () from /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
Comment 6 Jonathan Marten 2018-07-04 13:39:55 UTC
Fixed in KMail master and 5.8 branches (Applications 18.04) by commit 1c9c6886.  Please test with an up-to-date KMail if you can.

*** This bug has been marked as a duplicate of bug 387177 ***